MCP Tools Reference: slidesmcp.googleapis.com

工具:read_presentation

读取 Google 幻灯片演示文稿的 JSON 表示法。

与 REST API 中的 presentations.get 相对应。

以下示例演示了如何使用 curl 调用 read_presentation MCP 工具。

Curl 请求
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

读取演示文稿的请求。

ReadPresentationRequest

JSON 表示法
{
  "presentationId": string
}
字段
presentationId

string

必需。要从中读取内容的演示文稿的 ID。

输出架构

包含演示文稿的 JSON 表示法的响应。

ReadPresentationResponse

JSON 表示法
{
  "content": string
}
字段
content

string

Google 幻灯片演示文稿的 JSON 表示法。

工具注释

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:✅